<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\Session;
use App\Models\User;

final class SessionPolicy
{
    /**
     * Determine whether the user can view any sessions.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the user can view the session.
     */
    public function view(User $user, Session $session): bool
    {
        return true;
    }

    /**
     * Determine whether the user can create sessions.
     */
    public function create(User $user): bool
    {
        return false;
    }

    /**
     * Determine whether the user can update the session.
     */
    public function update(User $user, Session $session): bool
    {
        return false;
    }

    /**
     * Determine whether the user can delete the session.
     */
    public function delete(User $user, Session $session): bool
    {
        return false;
    }

    /**
     * Determine whether the user can restore the session.
     */
    public function restore(User $user, Session $session): bool
    {
        return false;
    }

    /**
     * Determine whether the user can permanently delete the session.
     */
    public function forceDelete(User $user, Session $session): bool
    {
        return false;
    }
}
